opencv: cv::OneWayDescriptor Class Reference

Public Member Functions | Protected Attributes

# cv::OneWayDescriptor Class Reference

`#include <features2d.hpp>`

List of all members.

## Public Member Functions
void | Allocate (int pose_count, CvSize size, int nChannels)
void | EstimatePose (IplImage *patch, int &pose_idx, float &distance) const
void | EstimatePosePCA (CvArr *patch, int &pose_idx, float &distance, CvMat *avg, CvMat *eigenvalues) const
void | GenerateSamples (int pose_count, IplImage *frontal, int norm=0)
void | GenerateSamplesFast (IplImage *frontal, CvMat *pca_hr_avg, CvMat *pca_hr_eigenvectors, OneWayDescriptor *pca_descriptors)
CvPoint | GetCenter () const
const char * | GetFeatureName () const
CvSize | GetInputPatchSize () const
IplImage * | GetPatch (int index)
CvSize | GetPatchSize () const
CvMat ** | GetPCACoeffs () const
int | GetPCADimHigh () const
int | GetPCADimLow () const
CvAffinePose | GetPose (int index) const
void | Initialize (int pose_count, IplImage *frontal, const char *feature_name=0, int norm=0)
void | InitializeFast (int pose_count, IplImage *frontal, const char *feature_name, CvMat *pca_hr_avg, CvMat *pca_hr_eigenvectors, OneWayDescriptor *pca_descriptors)
void | InitializePCACoeffs (CvMat *avg, CvMat *eigenvectors)
| OneWayDescriptor ()
void | ProjectPCASample (IplImage *patch, CvMat *avg, CvMat *eigenvectors, CvMat *pca_coeffs) const
int | ReadByName (const FileNode &parent, const char *name)
int | ReadByName (CvFileStorage *fs, CvFileNode *parent, const char *name)
void | Save (const char *path)
void | SetPCADimHigh (int pca_dim_high)
void | SetPCADimLow (int pca_dim_low)
void | SetTransforms (CvAffinePose *poses, CvMat **transforms)
void | Write (CvFileStorage *fs, const char *name)
| ~OneWayDescriptor ()
## Protected Attributes
CvAffinePose * | m_affine_poses
CvPoint | m_center
string | m_feature_name
IplImage * | m_input_patch
CvSize | m_patch_size
CvMat ** | m_pca_coeffs
int | m_pca_dim_high
int | m_pca_dim_low
int | m_pose_count
IplImage ** | m_samples
IplImage * | m_train_patch
CvMat ** | m_transforms

## Constructor & Destructor Documentation

cv::OneWayDescriptor::OneWayDescriptor | ( | ) |

cv::OneWayDescriptor::~OneWayDescriptor | ( | ) |

## Member Function Documentation

void cv::OneWayDescriptor::Allocate | ( | int | pose_count,
|  | CvSize | size,
|  | int | nChannels
| ) |  |

void cv::OneWayDescriptor::EstimatePose | ( | IplImage * | patch,
|  | int & | pose_idx,
|  | float & | distance
| ) |  | const

void cv::OneWayDescriptor::EstimatePosePCA | ( | CvArr * | patch,
|  | int & | pose_idx,
|  | float & | distance,
|  | CvMat * | avg,
|  | CvMat * | eigenvalues
| ) |  | const

void cv::OneWayDescriptor::GenerateSamples | ( | int | pose_count,
|  | IplImage * | frontal,
|  | int | norm = `0`
| ) |  |

void cv::OneWayDescriptor::GenerateSamplesFast | ( | IplImage * | frontal,
|  | CvMat * | pca_hr_avg,
|  | CvMat * | pca_hr_eigenvectors,
|  | OneWayDescriptor * | pca_descriptors
| ) |  |

CvPoint cv::OneWayDescriptor::GetCenter | ( | ) | const

const char* cv::OneWayDescriptor::GetFeatureName | ( | ) | const

CvSize cv::OneWayDescriptor::GetInputPatchSize | ( | ) | const`[inline]`

IplImage* cv::OneWayDescriptor::GetPatch | ( | int | index ) |

CvSize cv::OneWayDescriptor::GetPatchSize | ( | ) | const`[inline]`

CvMat** cv::OneWayDescriptor::GetPCACoeffs | ( | ) | const`[inline]`

int cv::OneWayDescriptor::GetPCADimHigh | ( | ) | const

int cv::OneWayDescriptor::GetPCADimLow | ( | ) | const

CvAffinePose cv::OneWayDescriptor::GetPose | ( | int | index ) | const

void cv::OneWayDescriptor::Initialize | ( | int | pose_count,
|  | IplImage * | frontal,
|  | const char * | feature_name = `0`,
|  | int | norm = `0`
| ) |  |

void cv::OneWayDescriptor::InitializeFast | ( | int | pose_count,
|  | IplImage * | frontal,
|  | const char * | feature_name,
|  | CvMat * | pca_hr_avg,
|  | CvMat * | pca_hr_eigenvectors,
|  | OneWayDescriptor * | pca_descriptors
| ) |  |

void cv::OneWayDescriptor::InitializePCACoeffs | ( | CvMat * | avg,
|  | CvMat * | eigenvectors
| ) |  |

void cv::OneWayDescriptor::ProjectPCASample | ( | IplImage * | patch,
|  | CvMat * | avg,
|  | CvMat * | eigenvectors,
|  | CvMat * | pca_coeffs
| ) |  | const

int cv::OneWayDescriptor::ReadByName | ( | CvFileStorage * | fs,
|  | CvFileNode * | parent,
|  | const char * | name
| ) |  |

int cv::OneWayDescriptor::ReadByName | ( | const FileNode & | parent,
|  | const char * | name
| ) |  |

void cv::OneWayDescriptor::Save | ( | const char * | path ) |

void cv::OneWayDescriptor::SetPCADimHigh | ( | int | pca_dim_high ) | `[inline]`

void cv::OneWayDescriptor::SetPCADimLow | ( | int | pca_dim_low ) | `[inline]`

void cv::OneWayDescriptor::SetTransforms | ( | CvAffinePose * | poses,
|  | CvMat ** | transforms
| ) |  |

void cv::OneWayDescriptor::Write | ( | CvFileStorage * | fs,
|  | const char * | name
| ) |  |

## Member Data Documentation

CvAffinePose* cv::OneWayDescriptor::m_affine_poses`[protected]`

CvPoint cv::OneWayDescriptor::m_center`[protected]`

string cv::OneWayDescriptor::m_feature_name`[protected]`

IplImage* cv::OneWayDescriptor::m_input_patch`[protected]`

CvSize cv::OneWayDescriptor::m_patch_size`[protected]`

CvMat** cv::OneWayDescriptor::m_pca_coeffs`[protected]`

int cv::OneWayDescriptor::m_pca_dim_high`[protected]`

int cv::OneWayDescriptor::m_pca_dim_low`[protected]`

int cv::OneWayDescriptor::m_pose_count`[protected]`

IplImage** cv::OneWayDescriptor::m_samples`[protected]`

IplImage* cv::OneWayDescriptor::m_train_patch`[protected]`

CvMat** cv::OneWayDescriptor::m_transforms`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines